<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.appmusic">

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>

    <application
        android:name=".ApplicationClass"
        android:allowBackup="true"
        android:icon="@drawable/ic_mv"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:requestLegacyExternalStorage="true"
        android:supportsRtl="true"
        android:theme="@style/Theme.AppMusic">
        <activity
            android:name=".activity.PlayMusicActivity"
            android:launchMode="singleTop" />
        <activity android:name=".activity.SongListActivity" />
        <activity android:name=".activity.HomeActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".SplashActivity" />

        <service android:name=".service.MusicService" android:enabled="true" />
        <receiver android:name=".service.NotificationReceiver" android:enabled="true">
            <intent-filter>
                <action android:name="actionprev"/>
                <action android:name="actionnext"/>
                <action android:name="actionplay"/>
            </intent-filter>
        </receiver>
    </application>

</manifest>